#include <TFT_eSPI.h>
#include "PCA9685.h"
TFT_eSPI tft;
PCA9685 pwmController;
PCA9685_ServoEval pwmServo;
void setup() 
{
  Wire.begin();
  tft.begin();
  tft.setRotation(3);
  tft.fillScreen(TFT_BLACK);
  tft.setTextColor(TFT_RED,TFT_BLACK);          
  tft.setTextSize(2);
  tft.drawString("M-SERVO", 120, 20);
  tft.drawString("Servo Controller", 60, 40);
  tft.setTextColor(TFT_WHITE,TFT_BLACK);       
  pwmController.resetDevices();       // Resets all PCA9685 devices on i2c line
  pwmController.init();               // Initializes module using default totem-pole driver mode, and default disabled phase balancer
  pwmController.setPWMFrequency(60); // Set PWM freq to 100Hz (default is 200Hz, supports 24Hz to 1526Hz)
}
void loop() 
{
  pwmController.setChannelPWM(0, pwmServo.pwmForAngle(-90)); 
  delay(500);
  pwmController.setChannelPWM(0, pwmServo.pwmForAngle(-45)); 
  delay(500);
  pwmController.setChannelPWM(0, pwmServo.pwmForAngle(0)); 
  delay(500);
  pwmController.setChannelPWM(0, pwmServo.pwmForAngle(45)); 
  delay(500);
  pwmController.setChannelPWM(0, pwmServo.pwmForAngle(90)); 
  delay(500);
}
